Skip to main content

Get subscription

METHODURL
GET/subscriptions/{subscriptionId}
EXAMPLEhttps://test.api.revuppayments.com/v2/subscriptions/{subscriptionId}

Endpoint to get subscription information.

SUCCESS RESPONSES - GET SUBSCRIPTION

HTTP CODEDESCRIPTION
200Subscription information is provided in the body in JSON format.

SUCCESS RESPONSE EXAMPLE - GET SUBSCRIPTION

{
"id": "019cf020-d0123-0d0f-ab01-0abc23e45fg6",
"planId": "0ab12c34-5678-9012-34de-f56g7hijkl89",
"status": "fulfilled",
"cycle": 0,
"createdAt": "2026-07-15T07:43:17Z",
"customer": {
"email": "johndoe@gmail.com"
}
}

ERROR RESPONSES - GET SUBSCRIPTION

HTTP CODEERROR CODEERROR MESSAGEDESCRIPTION
4040020Subscription not foundSubscription %s not found
5000900Internal Server ErrorThe server experienced an unexpected error.